Package org.apache.sling.commons.log.logback.internal.joran

# Class JoranConfiguratorWrapper

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.GenericXMLConfigurator
ch.qos.logback.core.joran.JoranConfiguratorBase<ch.qos.logback.classic.spi.ILoggingEvent>
ch.qos.logback.classic.joran.JoranConfigurator
org.apache.sling.commons.log.logback.internal.joran.JoranConfiguratorWrapper

All Implemented Interfaces:
  `ch.qos.logback.core.spi.ContextAware`

public class JoranConfiguratorWrapper extends ch.qos.logback.classic.joran.JoranConfigurator
Wrap the original JoronConfigurator to provide tracking of the appender-ref that happen during processing

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.GenericXMLConfigurator

`modelInterpretationContext, saxEventInterpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`JoranConfiguratorWrapper(@NotNull org.apache.sling.commons.log.logback.internal.LogConfigManager manager)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`addElementSelectorAndActionAssociations(ch.qos.logback.core.joran.spi.RuleStore rs)`
`protected void`
`addModelHandlerAssociations(@NotNull ch.qos.logback.core.model.processor.DefaultProcessor defaultProcessor)`
Subclass to provide a custom wrapper around the AppenderRef handling so we can keep track of what appenders were added to which loggers
`void`
`buildModelInterpretationContext()`
Override to allow the LogConfigManager to contribute substitution properties

### Methods inherited from class ch.qos.logback.classic.joran.JoranConfigurator

`addDefaultNestedComponentRegistryRules, sanityCheck`

### Methods inherited from class ch.qos.logback.core.joran.JoranConfiguratorBase

`getInterpretationContext, performCheck, setImplicitRuleSupplier`

### Methods inherited from class ch.qos.logback.core.joran.GenericXMLConfigurator

`buildModelFromSaxEventList, buildSaxEventInterpreter, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getModelInterpretationContext, getRuleStore, getTopURL, informContextOfURLUsedForConfiguration, initialElementPath, populateSaxEventRecorder, processModel, recallSafeConfiguration, registerSafeConfiguration, setTopURL`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JoranConfiguratorWrapper

public JoranConfiguratorWrapper(@NotNull @NotNull org.apache.sling.commons.log.logback.internal.LogConfigManager manager)
Constructor

Parameters:
  `manager` - the LogConfigManager that created the wrapper

## Method Details

### buildModelInterpretationContext

public void buildModelInterpretationContext()
Override to allow the LogConfigManager to contribute substitution properties

Overrides:
  `buildModelInterpretationContext` in class `ch.qos.logback.classic.joran.JoranConfigurator`

### addModelHandlerAssociations

protected void addModelHandlerAssociations(@NotNull @NotNull ch.qos.logback.core.model.processor.DefaultProcessor defaultProcessor)
Subclass to provide a custom wrapper around the AppenderRef handling so we can keep track of what appenders were added to which loggers

Overrides:
  `addModelHandlerAssociations` in class `ch.qos.logback.classic.joran.JoranConfigurator`

### addElementSelectorAndActionAssociations

public void addElementSelectorAndActionAssociations(ch.qos.logback.core.joran.spi.RuleStore rs)

Overrides:
  `addElementSelectorAndActionAssociations` in class `ch.qos.logback.classic.joran.JoranConfigurator`